%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Name:           nodejs-packaging
Version:        9
Release:        %mkrel 1
Summary:        RPM Macros and Utilities for Node.js Packaging
BuildArch:      noarch
Group:          System/Packaging
License:        MIT
URL:            https://fedoraproject.org/wiki/Node.js/Packagers
Source0:        https://fedorahosted.org/released/%{name}/%{name}-fedora-%{version}.tar.xz

Requires:       nodejs(engine) >= 0.10.12
Requires:       rpm-mageia-setup-build

%description
This package contains RPM macros and other utilities useful for packaging
Node.js modules and applications in RPM-based distributions.

%prep
%autosetup -p 1 -n %{name}-fedora-%{version}

%build
#nothing to do

%install
install -Dpm0644 macros.nodejs %{buildroot}%{macrosdir}/macros.nodejs
install -Dpm0644 nodejs.attr %{buildroot}%{_rpmconfigdir}/fileattrs/nodejs.attr
install -pm0755 nodejs.prov %{buildroot}%{_rpmconfigdir}/nodejs.prov
install -pm0755 nodejs.req %{buildroot}%{_rpmconfigdir}/nodejs.req
install -pm0755 nodejs-symlink-deps %{buildroot}%{_rpmconfigdir}/nodejs-symlink-deps
install -pm0755 nodejs-fixdep %{buildroot}%{_rpmconfigdir}/nodejs-fixdep
install -Dpm0644 multiver_modules %{buildroot}%{_datadir}/node/multiver_modules

%files
%license LICENSE
%{macrosdir}/macros.nodejs
%{_rpmconfigdir}/fileattrs/nodejs*.attr
%{_rpmconfigdir}/nodejs*
%{_datadir}/node/multiver_modules


%changelog
* Sat May 14 2016 tv <tv> 9-1.mga6
+ Revision: 1015465
- new version from FC

* Fri May 13 2016 joequant <joequant> 7-8.mga6
+ Revision: 1014940
- add %%nodejs_arches

* Thu Feb 18 2016 umeabot <umeabot> 7-7.mga6
+ Revision: 966651
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 joequant <joequant> 7-6.mga6
+ Revision: 846286
- unpack files
- unpack files

* Wed Oct 15 2014 umeabot <umeabot> 7-5.mga5
+ Revision: 738846
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7-4.mga5
+ Revision: 682905
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 joequant <joequant> 7-3.mga5
+ Revision: 655892
- remove exclusive arch
- convert to mageia requires
- add group
- imported package nodejs-packaging

